# Events

Events are generated to keep you informed of activity in your business account. APIs in the /v2 namespace generate [thin events](https://docs.stripe.com/event-destinations.md#benefits-of-thin-events) which have small, unversioned payloads that include a reference to the ID of the object that has changed. The Events v2 API returns these new thin events. [Retrieve the event object](https://docs.stripe.com/event-destinations.md#fetch-data) for additional data about the event. Use the related object ID in the event payload to [fetch the API resource](https://docs.stripe.com/event-destinations.md#retrieve-the-object-associated-with-thin-events) of the object associated with the event. Comparatively, events generated by most API v1 include a versioned snapshot of an API object in their payload.

## Endpoints

### Retrieve an Event object

- [GET /v2/core/events/:id](https://docs.stripe.com/api/v2/core/events/retrieve.md)

### List all Event objects

- [GET /v2/core/events](https://docs.stripe.com/api/v2/core/events/list.md)
